<?
/////////////////////////////////////////////////////////////////////////////////////////
// OBlackJ 1.01
// copyright by Stefan Spieren
// eMail: stefan@spieren.de
// Internet: http://stefan.spieren.de
/////////////////////////////////////////////////////////////////////////////////////////

//Vorgaben
$use_email                = 0; // 0 oder 1
$use_mysql                = 0; // 0 oder 1
$startkontostand          = "500";
$starteinsatz             = "100";
$gewinn_blackjack         = "150";
$gewinn_limit_max         = "50";
$waehrung                 = "";
$img_dir                  = "images";
$img_type                 = "jpg";
$limit_min                = "17";
$limit_max                = "21";
$topliste_anzahl          = "10";
$kartensaetze             = "4";
$button_weiteres_spiel    = "weiter spielen";
$button_spiel_verlassen   = "Spiel beenden";
$button_neues_spiel       = "Neues Spiel beginnen";
$button_spiel_starten     = "Spiel starten";
$button_neue_karte        = "neue Karte";
$button_weitere_karte     = "weitere Karte";
$button_keine_karte       = "keine Karte mehr";
$button_sichern           = "Kontostand sichern";
$button_spieler_loeschen  = "Spielerdaten lschen";
$button_tabelle           = "In Rangliste eintragen";
$button_tabelle_zeigen    = "Rangliste zeigen";
$bj_rand_farbe1           = "#0D2716";
$bj_rand_farbe2           = "#154124";
$bj_rand_farbe3           = "#1D5932";
$bj_rand_farbe4           = "#236E3D";
$bj_rand_farbe5           = "#287D45";
$spielanleitung           = "Der Spieler spielt gegen die Bank mit dem Ziel, mit seinen Karten einen mglichst hohen Punktwert zu erreichen,
                            ohne dabei den Wert $limit_max zu berschreiten. Um den Punktwert zu ermitteln, werden Asse mit dem Wert
                            1 oder 11, Bilder mit dem Wert 10 und alle anderen Karten mit dem auf ihnen abgebildeten Wert gezhlt.
                            Ein Punktwert von 21, der mit nur zwei Karten erreicht wird (Black Jack), stellt das beste erzielbare Ergebnis dar.
                            Ein Black Jack ist hherwertig als ein Punktwert von 21.";
$gewinnmglichkeiten      = "Black Jack: Kontostand + Einsatz + $gewinn_blackjack$waehrung, $limit_max Punkte: Kontostand + Einsatz + $gewinn_limit_max$waehrung,
                            ber $limit_max Punkte: Kontostand - Einsatz, $limit_max-2 Punkte: Kontostand + halber Einsatz, Unter $limit_min Punkten: Kontostand - halber Einsatz";
$cookie_name              = "BlackJack";
$email_sender             = "";
$email_empfaenger         = "";
$mysql_server             = "";
$mysql_name_db            = "";
$mysql_user               = "";
$mysql_pass               = "";
$mysql_name_tabelle       = "blackjack";


//Karten Werte
$karten_spiel = array("Kreuz-2|2","Kreuz-3|3","Kreuz-4|4","Kreuz-5|5","Kreuz-6|6",
                "Kreuz-7|7","Kreuz-8|8","Kreuz-9|9","Kreuz-10|10",
                "Kreuz-Bauer|10","Kreuz-Dame|10","Kreuz-Koenig|10","Kreuz-Ass|11",
                "Pik-2|2","Pik-3|3","Pik-4|4","Pik-5|5","Pik-6|6",
                "Pik-7|7","Pik-8|8","Pik-9|9","Pik-10|10",
                "Pik-Bauer|10","Pik-Dame|10","Pik-Koenig|10","Pik-Ass|11",
                "Herz-2|2","Herz-3|3","Herz-4|4","Herz-5|5","Herz-6|6",
                "Herz-7|7","Herz-8|8","Herz-9|9","Herz-10|10",
                "Herz-Bauer|10","Herz-Dame|10","Herz-Koenig|10","Herz-Ass|11",
                "Karo-2|2","Karo-3|3","Karo-4|4","Karo-5|5","Karo-6|6",
                "Karo-7|7","Karo-8|8","Karo-9|9","Karo-10|10",
                "Karo-Bauer|10","Karo-Dame|10","Karo-Koenig|10","Karo-Ass|11");


/////////////////////////////////////////////////////////////////////////////////////////
//Cookie-Daten lschen
if($_POST["del"])
{
$cookie_value = "";
setcookie ($cookie_name, $cookie_value, time()-60*60*24*365);
header("Location: ".$_SERVER["PHP_SELF"]);
}

//Cookie-Daten schreiben
if($_POST["save"] && $_POST["go"] && $_POST["name"])
{
$cookie_value = $_POST["name"]."|".$_POST["kontostand"]."|".time();
setcookie ($cookie_name, $cookie_value, time()+60*60*24*365);
$cookie_set = 1;

 if($use_email)
 {
  //eMail Benarichtigung senden
  $sendemail_betreff = "Benutzerdaten gesichert";
  $sendemail_text = "Name: ".$_POST["name"]."\nKontostand: ".$_POST["kontostand"]."\nIP: ".$_SERVER["REMOTE_ADDR"]."\nBrowser: ".getenv("HTTP_USER_AGENT")."\nDatum: ".date('d.m.Y, H:i:s',time());
  @mail($email_empfaenger,$sendemail_betreff,$sendemail_text,"From: $email_sender");
 }
}

//Cookie-Daten holen, falls vorhanden
if($_COOKIE[$cookie_name])
{
 //Daten aus Cookie extrahieren
 $cookie_ex = explode ("|",$_COOKIE[$cookie_name]);
 $spieler_name = $cookie_ex[0];
 $startkontostand = $cookie_ex[1];
 $datum_letztes_spiel = date('d.m.y H:i', $cookie_ex[2])."Uhr";
}

//Kartensaetze
$karten = array(); for($x=0;$x<count($karten_spiel);$x++){for($x1=0;$x1<$kartensaetze;$x1++){array_push($karten,$karten_spiel[$x]);}}

//Funktion Benutze Karten lschen
function kartenloeschen($karte,$karten){if($karte){$karte_index = array_search($karte, $karten);unset($karten[$karte_index]);}return array_values($karten);}

//Funktion Zufallskarte
function zufallkarte($karten){srand((double)microtime() * 10000000); $rand_karte = array_rand($karten,count($karten)); return $karten[$rand_karte[0]];}
//Funktion Kartenbild
function kartenbild($karten,$runde,$dir,$type){ $karten_ex = explode(";",$karten); $karte_ex = explode("|",$karten_ex[$runde]); return $dir."/".$karte_ex[0].".".$type;}
//Funktion Kartenwert
function kartenwert($karten,$runde){ $karten_ex = explode(";",$karten); $karte_ex = explode("|",$karten_ex[$runde]); return $karte_ex[1];}

//Rundendaten
if($_POST["go"]){$benutze_karten = array();$benutze_karten = explode(";",$_POST["karten"]);for($x=0;$x<count($benutze_karten);$x++){$karten = kartenloeschen($benutze_karten[$x],$karten);}$karte_zufall = zufallkarte($karten);}

//Header
include "header.inc.php";

//Kontostand und Einsatz vergleichen
if($_POST["einsatz"] > $_POST["kontostand"]){$_POST["go"] = "start"; $kontostand_minus = 1; $starteinsatz = $_POST["kontostand"];}
elseif($_POST["einsatz"]){$starteinsatz = $_POST["einsatz"];}

//Kontostand berechnen
if($_POST["go"]){$kontostand = $_POST["kontostand"];}else{$kontostand = $startkontostand;}

//Einsatz anpassen
if($starteinsatz > $kontostand){$starteinsatz = $kontostand;}

//Tabelleneintrag
if($_POST["tabelle"] && $use_mysql)
{
 if($_POST["name"])
 {
 //Datenbankverbindung
 $conn = @mysql_connect($mysql_server, $mysql_user, $mysql_pass); if (!$conn)	{echo "Datenbankfehler!";  exit;}
 $verbindung = @mysql_select_db($mysql_name_db);if (!$verbindung){echo "Datenbank existiert nicht"; exit;}
 $abfrage = "INSERT INTO $mysql_name_tabelle ( `id` , `name` , `kontostand` , `datum` ) 
             VALUES ('', '".$_POST["name"]."', '".$_POST["kontostand"]."', '".date('Y-m-d H:i:s',time())."')";
 $result = mysql_query($abfrage,$conn);
 $tabellen_eintrag = 1;
  if($use_email)
  {
   //eMail Benarichtigung senden
   $sendemail_betreff = "Tabelleneintrag";
   $sendemail_text = "Name: ".$_POST["name"]."\nKontostand: ".$_POST["kontostand"]."\nIP: ".$_SERVER["REMOTE_ADDR"]."\nBrowser: ".getenv("HTTP_USER_AGENT")."\nDatum: ".date('d.m.Y, H:i:s',time());
   @mail($email_empfaenger,$sendemail_betreff,$sendemail_text,"From: $email_sender");
  }
 }
$_POST["verlassen"] = "1";
$_POST["go"] = "1";
}

//Liste
if($_POST["liste"] && $use_mysql)
{
 echo "<p class=benutzer><b>Top ".$topliste_anzahl."</b></p>";
 //Datenbankverbindung
 $conn = @mysql_connect($mysql_server, $mysql_user, $mysql_pass); if (!$conn)	{echo "Datenbankfehler!";  exit;}
 $verbindung = @mysql_select_db($mysql_name_db);if (!$verbindung){echo "Datenbank existiert nicht"; exit;}
 $abfrage = "select name,kontostand,UNIX_TIMESTAMP(datum) as datum_unix from $mysql_name_tabelle order by kontostand desc, datum desc limit 0,".$topliste_anzahl." ";
 $result = mysql_query($abfrage,$conn);
 echo "<p><table cellpadding=2 cellspacing=0 border=0>";
 echo "<tr>";
 echo "<td><b>Platz</b></td>";
 echo "<td>&nbsp;&nbsp;&nbsp;<b>Name</b></td>";
 echo "<td><b>Kontostand</b></td>";
 echo "<td align=center>&nbsp;&nbsp;&nbsp;&nbsp;<b>Datum</b></td>";
 echo "</tr>";
 $x=0;
 while ($row = mysql_fetch_array ($result)) 
 {
  $x++;
  echo "<tr>";
  echo "<td align=right>".$x."&nbsp;&nbsp;&nbsp;</td>";
  echo "<td>&nbsp;&nbsp;&nbsp;".$row["name"]."</td>";
  echo "<td align=right>".$row["kontostand"]."</td>";
  echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;".date('d.m.y',$row["datum_unix"])."</td>";
  echo "</tr>";
 }
 echo "</table><br>";
 echo "<form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
 echo "<input type=\"submit\" class=\"button\" value=\"".$button_neues_spiel."\"> ";
 echo "</form></p>";
}
else
{
 //Benutzerdaten
 echo "<p class=benutzer>";
  if($spieler_name || $datum_letztes_spiel)
  {
  echo "Spieler: <b>".$spieler_name."</b><br>";
  echo "Letztes Spiel: <b>".$datum_letztes_spiel."</b><br>";
  }
 echo "Kontostand: <b>".$kontostand.$waehrung."</b>";
 echo "</p>";
 
 //Start
 if(!$_POST["go"] || $_POST["go"] == "start" && !$_POST["verlassen"])
 {
  if($kontostand == 0)
  {
   echo "<p>";
   echo "Spiel beendet - der Kontostand betrgt <b>0 ".$waehrung."</b>!";
   echo "</p><p>";
   echo "<form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_neues_spiel."\"> ";
   echo "</form></p>";
  }
  else
  {
   echo "<form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"neu\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<b>Einsatz ".$waehrung.": </b><input type=\"text\" name=\"einsatz\" value=\"".$starteinsatz."\" size=\"3\"> ";
   if($_POST["go"] == "start")
   {
    echo "<input type=\"submit\" class=\"button\" value=\"".$button_neue_karte."\"> ";
    echo "<input type=\"submit\" class=\"button\" name=\"verlassen\" value=\"".$button_spiel_verlassen."\">";
    echo "</form></p>";
   }
   else
   {
    echo "<input type=\"submit\" class=\"button\" value=\"".$button_spiel_starten."\"> ";
    if($spieler_name || $datum_letztes_spiel)
    {
     echo "<input type=\"submit\" class=\"button\" name=\"del\" value=\"".$button_spieler_loeschen."\"> ";
    }
    echo "</form></p>";
    echo "<p class=anleitung><b>Spielanleitung: </b>".$spielanleitung."</p>";
    echo "<p class=gewinn><b>Gewinne / Verluste: </b>".$gewinnmglichkeiten."</p>";
    
    if($use_mysql)
    {
     //Datenbankverbindung
     $conn = @mysql_connect($mysql_server, $mysql_user, $mysql_pass); if (!$conn)	{echo "Datenbankfehler!";  exit;}
     $verbindung = @mysql_select_db($mysql_name_db);if (!$verbindung){echo "Datenbank existiert nicht"; exit;}
     $abfrage = "select name,kontostand,UNIX_TIMESTAMP(datum) as datum_unix from $mysql_name_tabelle order by kontostand desc, datum desc limit 0,1";
     $result = mysql_query($abfrage,$conn);
      while ($row = mysql_fetch_array ($result)) 
      {
       echo "<p><b>Top-Spieler:</b> ".$row["name"]." &middot; <b>Kontostand:</b> ".$row["kontostand"].$waehrung."</p>";
       echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
       echo "<input type=\"hidden\" name=\"liste\" value=\"1\">";
       echo "<input type=\"submit\" class=\"button\" value=\"".$button_tabelle_zeigen."\">";
       echo "</form></p>";
      }
    }
   }
  }
  
  if($kontostand_minus == 1 && $kontostand != 0)
  {
   echo "<p><b>Sie knnen maximal soviel einsetzen wie Sie besitzen!</b></p>";
  }
 }
 //Runden
 elseif($_POST["go"] && !$_POST["ende"] && !$_POST["verlassen"] && !$_POST["tabelle"])
 {
  $ausgegebene_karten = explode(";",$_POST["karten"]);
  array_push($ausgegebene_karten,$karte_zufall);
  
  //Summe Punkte
  for($x=0;$x<count($ausgegebene_karten);$x++)
  {
   if($ausgegebene_karten[$x])
   {
    //ASS-Wertung mit 1 Punkt
    if($punkte_summe > $limit_max && kartenwert($ausgegebene_karten[$x],0) == 11)
    {
     $punkte_summe = $_POST["punkte"]+1;
     $ass = 1;
    }
    //ASS-Wertung mit 11 Punkten
    else
    {
     $punkte_summe = $_POST["punkte"]+kartenwert($ausgegebene_karten[$x],0);
     $ass = 0;
    }
   }
  }
  
  echo "<p><table cellpadding=2 cellspacing=0 border=0>";
  //Kartenbilder ausgeben
  echo "<tr>";
   for($x=0;$x<count($ausgegebene_karten);$x++)
   {
    if($ausgegebene_karten[$x])
    {
    echo "<td align=center>";
    echo "<img src=\"".kartenbild($ausgegebene_karten[$x],0,$img_dir,$img_type)."\" border=0 alt=\"\">";
    echo "</td>";
    $runde = $x;
    }
   }
  echo "<td></td>";
  echo "<td align=right valign=middle style=\"font-size:50px; font-weight: bold;\"><b>&nbsp;=&nbsp;".$punkte_summe."</b></td>";
  echo "</tr>";
  echo "</table></p>";
 
  // Black Jack
  if($punkte_summe == $limit_max && $runde == 2)
  {
   //Gewinn zu Kontostand addieren
   $kontostand = $_POST["kontostand"]+$_POST["einsatz"]+$gewinn_blackjack;
   echo "<p>";
   echo "<b>Black Jack!</b>";
   echo "<br>Sie gewinnen Ihren Einsatz von <b>".$_POST["einsatz"].$waehrung."</b> und <b>".$gewinn_blackjack.$waehrung."</b> zustztlich.";
   echo "<br>Ihr aktueller Kontostand: <b>".$kontostand.$waehrung."</b>";
   echo "</p>";
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"start\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_weiteres_spiel."\"> ";
   echo "<input type=\"submit\" class=\"button\" name=\"verlassen\" value=\"".$button_spiel_verlassen."\">";
   echo "</form></p>";
  }
  // 21 Punkte ($limit_max)
  elseif($punkte_summe == $limit_max)
  {
   //Gewinn zu Kontostand addieren
   $kontostand = $_POST["kontostand"]+$_POST["einsatz"]+$gewinn_limit_max;
   echo "<p>";
   echo "<b> ".$limit_max." Punkte!</b>";
   echo "<br>Sie gewinnen Ihren Einsatz von <b>".$_POST["einsatz"].$waehrung."</b> und <b>".$gewinn_limit_max.$waehrung."</b> zustztlich.";
   echo "<br>Ihr aktueller Kontostand: <b>".$kontostand.$waehrung."</b>";
   echo "</p>";
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"start\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_weiteres_spiel."\"> ";
   echo "<input type=\"submit\" class=\"button\" name=\"verlassen\" value=\"".$button_spiel_verlassen."\">";
   echo "</form></p>";
  }
  // ber 21 Punkte ($limit_max)
  elseif($punkte_summe > $limit_max)
  {
   //Einsatz von kontostand subtrahieren
   $kontostand = $_POST["kontostand"]-$_POST["einsatz"];
   echo "<p>";
   echo "<b>ber ".$limit_max." Punkte!</b>";
   echo "<br>Sie verlieren Ihren Einsatz von <b>".$_POST["einsatz"].$waehrung."</b>.";
   echo "<br>Ihr aktueller Kontostand: <b>".$kontostand.$waehrung."</b>";
   echo "</p>";
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"start\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_weiteres_spiel."\"> ";
   echo "<input type=\"submit\" class=\"button\" name=\"verlassen\" value=\"".$button_spiel_verlassen."\">";
   echo "</form></p>";
  }
  else
  {
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"".$runde."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$_POST["kontostand"]."\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"karten\" value=\"".$_POST["karten"].";".$karte_zufall."\">";
   echo "<input type=\"hidden\" name=\"punkte\" value=\"".$punkte_summe."\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_weitere_karte."\"> ";
    if($runde >= 2){echo "<input type=\"submit\" class=\"button\" name=\"ende\" value=\"".$button_keine_karte."\">";}
   echo "</form></p>";
  }
 }
 //Spiel Ende
 elseif($_POST["go"] && $_POST["ende"] && !$_POST["verlassen"] && !$_POST["tabelle"])
 {
  // 19 oder 20 Punkte ($limit_max-2)
  if($_POST["punkte"] == $limit_max-1 || $_POST["punkte"] == $limit_max-2)
  {
   //Einsatz zu Kontostand addieren
   $halber_einsatz = $_POST["einsatz"]/2;
   $kontostand = $_POST["kontostand"]+$halber_einsatz;
   echo "<p>";
   echo "<b>Sehr nah an ".$limit_max." Punkten!</b>";
   echo "<br>Sie gewinnen Ihren halben Einsatz, also <b>".$halber_einsatz.$waehrung."</b>.";
   echo "<br>Ihr aktueller Kontostand: <b>".$kontostand.$waehrung."</b>";
   echo "</p>";
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"start\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_weiteres_spiel."\"> ";
   echo "<input type=\"submit\" class=\"button\" name=\"verlassen\" value=\"".$button_spiel_verlassen."\">";
   echo "</form></p>";
  }
  // unter 17 Punkte ($limit_min)
  elseif($_POST["punkte"] < $limit_min)
  {
   //Einsatz von Kontostand subtrahieren
   $halber_einsatz = $_POST["einsatz"]/2;
   $kontostand = $_POST["kontostand"]-$halber_einsatz;
   echo "<p>";
   echo "<b>Unter ".$limit_min." Punkte!</b>";
   echo "<br>Sie verlieren Ihren halben Einsatz, also <b>".$halber_einsatz.$waehrung."</b>.";
   echo "<br>Ihr aktueller Kontostand: <b>".$kontostand.$waehrung."</b>";
   echo "</p>";
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"start\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_weiteres_spiel."\"> ";
   echo "<input type=\"submit\" class=\"button\" name=\"verlassen\" value=\"".$button_spiel_verlassen."\">";
   echo "</form></p>";
  }
  else
  {
   //Kein Gewinn, kein Verlust
   $kontostand = $_POST["kontostand"];
   echo "<p>";
   echo "<b>Kein Gewinn, kein Verlust!</b>";
   echo "<br>Ihr Kontostand: <b>".$kontostand.$waehrung."</b>";
   echo "</p>";
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"go\" value=\"start\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_weiteres_spiel."\"> ";
   echo "<input type=\"submit\" class=\"button\" name=\"verlassen\" value=\"".$button_spiel_verlassen."\">";
   echo "</form></p>";
  }
 }
 //Spiel verlassen
 elseif($_POST["verlassen"])
 {
  if(!$spieler_name && $_POST["name"]){$spieler_name = $_POST["name"];}
   echo "<p>";
   echo "Mchten Sie Ihren Kontostand von <b>".$kontostand.$waehrung."</b> speichern?";
   echo "<br>Sie haben dann die Mglichkeit bei Ihrem nchsten Besuch damit weiterzuspielen.";
   echo "</p>";
   echo "<p><form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"save\" value=\"1\">";
   echo "<input type=\"hidden\" name=\"verlassen\" value=\"1\">";
   echo "<input type=\"hidden\" name=\"tabellen_eintrag\" value=\"".$tabellen_eintrag."\">";
   echo "<input type=\"hidden\" name=\"einsatz\" value=\"".$_POST["einsatz"]."\">";
   echo "<input type=\"hidden\" name=\"kontostand\" value=\"".$kontostand."\">";
   echo "<b>Name: </b><input type=\"text\" name=\"name\" value=\"".$spieler_name."\" size=\"20\"> ";
   echo "<input type=\"submit\" class=\"button\" name=\"go\" value=\"".$button_sichern."\"> ";
   echo "<br><br>";
   echo "<input type=\"submit\" class=\"button\" value=\"".$button_neues_spiel."\"> ";
    if(!$tabellen_eintrag && !$_POST["tabellen_eintrag"])
    {
     if($use_mysql)
     {
      echo "<input type=\"submit\" class=\"button\" name=\"tabelle\" value=\"".$button_tabelle."\">";
     }
    }
   echo "</form></p>";
    if($_POST["save"] && $_POST["name"] && !$_POST["tabelle"])
    {
     echo "<p><b>Ihre Daten wurden soeben fr Sie persnlich an Ihrem Arbeitsplatz gespeichert<br>(Sofern Sie Cookies aktiviert haben!).</b></p>";
    }
    if($tabellen_eintrag && $_POST["tabelle"] && $use_mysql)
    {
     echo "<p><b>Ihre Daten wurden in der Datenbank gespeichert.</b></p>";
    }
    if($_POST["save"] && !$_POST["name"])
    {
     echo "<p><b>Sie mssen einen Namen angeben, damit Ihre Daten gespeichert werden knnen.</b></p>";
    }
 }
}

//Footer
include "footer.inc.php";
@mysql_close($conn);
?>
